uk.gov.hmrc.releaser.github

# DryRunGithubConnector

###
Related Doc: package github

#### class DryRunGithubConnector extends GithubTagAndRelease

Linear Supertypes
GithubTagAndRelease, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DryRunGithubConnector
2. GithubTagAndRelease
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DryRunGithubConnector(releaserVersion: String)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def createGithubTagAndRelease(tagDate: DateTime, commitSha: CommitSha, commitAuthor: String, commitDate: DateTime, artefactName: String, gitRepo: Repo, releaseCandidateVersion: String, version: String, releaseNotes: Option[String]): Try[Unit]

   Definition Classes
     DryRunGithubConnector → GithubTagAndRelease

7. #### val emptyGitPosteAndGetter: (String, JsValue) ⇒ Try[CommitSha]

8. #### val emptyGitPoster: (String, JsValue) ⇒ Try[Unit]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### def verifyGithubTagExists(repo: Repo, sha: CommitSha): Try[Unit]

    Definition Classes
      DryRunGithubConnector → GithubTagAndRelease

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GithubTagAndRelease

### Inherited from AnyRef

### Inherited from Any

### Ungrouped